# Generated by Django 3.2.12 on 2022-03-15 18:57

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.OAUTH2_PROVIDER_APPLICATION_MODEL),
        ('kort', '0006_auto_20220310_2003'),
    ]

    operations = [
        migrations.AlterField(
            model_name='card',
            name='pdf_file',
            field=models.FileField(blank=True, default='', upload_to='cards/', validators=[django.core.validators.FileExtensionValidator(['pdf'])], verbose_name='PDF file'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='cardprinter',
            name='oauth2_application',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='card_printers', to=settings.OAUTH2_PROVIDER_APPLICATION_MODEL, verbose_name='OAuth2 application'),
        ),
        migrations.CreateModel(
            name='CardPrintJob',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('status', models.CharField(choices=[('registered', 'Registered'), ('in_progress', 'In progress'), ('finished', 'Finished')], default='registered', max_length=255, verbose_name='Status')),
                ('status_text', models.TextField(blank=True, verbose_name='Status text')),
                ('card', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kort.card', verbose_name='Card')),
                ('printer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kort.cardprinter', verbose_name='Printer')),
            ],
            options={
                'verbose_name': 'Card print job',
                'verbose_name_plural': 'Card print jobs',
            },
            managers=[
            ],
        ),
    ]
